Subject: bug#19978: closed (Re: bug#19978: It's too easy to accidentally delete all generations)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 06 Apr 2015 20:00:06 +0000

Your bug report

#19978: It's too easy to accidentally delete all generations

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19978: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19978
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19978: It's too easy to accidentally delete all generations
From: [email-masked] (Ludovic Courtès)
To: [email-masked] (Taylan Ulrich "Bayırlı/Kammer")
Cc: [email-masked]
Date: Mon, 06 Apr 2015 21:59:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Taylan Ulrich "Bayırlı/Kammer") skribis:

> The other day I ran "guix package -d 1d" thinking it will preserve the
> current generation, but it didn't.  If I'm not mistaken, there's no
> recovery from that either.
>
> Any command that will delete even the current generation should probably
> interactively warn/prompt the user by default, or fail, unless given a
> --force flag.  Documentation should also warn I guess.

I believe d26eb84 fixes that.

There’s no --force flag, but I think it’s unnecessary: it’s always
possible to rollback to generation 0 and from there remove whatever.

Thanks,
Ludo’.

Subject: It's too easy to accidentally delete all generations
From: [email-masked] (Taylan Ulrich Bayırlı/Kammer)
To: [email-masked]
Date: Sun, 01 Mar 2015 22:41:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The other day I ran "guix package -d 1d" thinking it will preserve the
current generation, but it didn't.  If I'm not mistaken, there's no
recovery from that either.

Any command that will delete even the current generation should probably
interactively warn/prompt the user by default, or fail, unless given a
--force flag.  Documentation should also warn I guess.

Taylan